openSUSE Security Update : socat (openSUSE-2016-215) (Logjam)

2016-02-17T00:00:00
ID OPENSUSE-2016-215.NASL
Type nessus
Reporter This script is Copyright (C) 2016 Tenable Network Security, Inc.
Modified 2020-04-02T00:00:00

Description

This update for socat fixes the following issues :

Changes in socat :

  • update to 1.7.3.1, security fixes :

  • Socat security advisory 7 and MSVR-1499:

                                        
                                            #
# (C) Tenable Network Security, Inc.
#
# The descriptive text and package checks in this plugin were
# extracted from openSUSE Security Update openSUSE-2016-215.
#
# The text description of this plugin is (C) SUSE LLC.
#

include("compat.inc");

if (description)
{
  script_id(88775);
  script_version("$Revision: 2.2 $");
  script_cvs_date("$Date: 2016/10/13 14:27:28 $");

  script_cve_id("CVE-2015-4000");

  script_name(english:"openSUSE Security Update : socat (openSUSE-2016-215) (Logjam)");
  script_summary(english:"Check for the openSUSE-2016-215 patch");

  script_set_attribute(
    attribute:"synopsis", 
    value:"The remote openSUSE host is missing a security update."
  );
  script_set_attribute(
    attribute:"description", 
    value:
"This update for socat fixes the following issues :

Changes in socat :

  - update to 1.7.3.1, security fixes :

  - Socat security advisory 7 and MSVR-1499: 'Bad DH p
    parameter in OpenSSL' (boo#938913 and CVE-2015-4000).

  - Socat security advisory 8: 'Stack overflow in arguments
    parser' (boo#964844)

  - Update to version 1.7.3.0

  - Too many changes to list; please read the CHANGES file
    for news"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"https://bugzilla.opensuse.org/show_bug.cgi?id=938913"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"https://bugzilla.opensuse.org/show_bug.cgi?id=964844"
  );
  script_set_attribute(
    attribute:"solution", 
    value:"Update the affected socat packages."
  );
  script_set_cvss_base_vector("CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N");
  script_set_cvss3_base_vector("CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:L/A:N");

  script_set_attribute(attribute:"plugin_type", value:"local");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:socat");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:socat-debuginfo");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:socat-debugsource");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:novell:opensuse:13.2");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:novell:opensuse:42.1");

  script_set_attribute(attribute:"patch_publication_date", value:"2016/02/16");
  script_set_attribute(attribute:"in_the_news", value:"true");
  script_set_attribute(attribute:"plugin_publication_date", value:"2016/02/17");
  script_end_attributes();

  script_category(ACT_GATHER_INFO);
  script_copyright(english:"This script is Copyright (C) 2016 Tenable Network Security, Inc.");
  script_family(english:"SuSE Local Security Checks");

  script_dependencies("ssh_get_info.nasl");
  script_require_keys("Host/local_checks_enabled", "Host/SuSE/release", "Host/SuSE/rpm-list", "Host/cpu");

  exit(0);
}


include("audit.inc");
include("global_settings.inc");
include("rpm.inc");

if (!get_kb_item("Host/local_checks_enabled")) audit(AUDIT_LOCAL_CHECKS_NOT_ENABLED);
release = get_kb_item("Host/SuSE/release");
if (isnull(release) || release =~ "^(SLED|SLES)") audit(AUDIT_OS_NOT, "openSUSE");
if (release !~ "^(SUSE13\.2|SUSE42\.1)$") audit(AUDIT_OS_RELEASE_NOT, "openSUSE", "13.2 / 42.1", release);
if (!get_kb_item("Host/SuSE/rpm-list")) audit(AUDIT_PACKAGE_LIST_MISSING);

ourarch = get_kb_item("Host/cpu");
if (!ourarch) audit(AUDIT_UNKNOWN_ARCH);
if (ourarch !~ "^(i586|i686|x86_64)$") audit(AUDIT_ARCH_NOT, "i586 / i686 / x86_64", ourarch);

flag = 0;

if ( rpm_check(release:"SUSE13.2", reference:"socat-1.7.3.1-2.3.1") ) flag++;
if ( rpm_check(release:"SUSE13.2", reference:"socat-debuginfo-1.7.3.1-2.3.1") ) flag++;
if ( rpm_check(release:"SUSE13.2", reference:"socat-debugsource-1.7.3.1-2.3.1") ) flag++;
if ( rpm_check(release:"SUSE42.1", reference:"socat-1.7.3.1-6.1") ) flag++;
if ( rpm_check(release:"SUSE42.1", reference:"socat-debuginfo-1.7.3.1-6.1") ) flag++;
if ( rpm_check(release:"SUSE42.1", reference:"socat-debugsource-1.7.3.1-6.1") ) flag++;

if (flag)
{
  if (report_verbosity > 0) security_warning(port:0, extra:rpm_report_get());
  else security_warning(0);
  exit(0);
}
else
{
  tested = pkg_tests_get();
  if (tested) audit(AUDIT_PACKAGE_NOT_AFFECTED, tested);
  else audit(AUDIT_PACKAGE_NOT_INSTALLED, "socat / socat-debuginfo / socat-debugsource");
}